%==========================================================================
%                         SIMULATE SERIES
%==========================================================================

% set specification
T    = 1000;
nv   = 2;

% set true parameter
Tmu  = 0.5;
Trr  = 0.6;
Tee  = 0.21;
TeE  = 0.09;
TeI  = 0.12;
TEE  = 0.23;
TEI  = 0.05;
TII  = 0.11;

TZZ    = [ 1    1   0 ;...
           1    0   1 ];
TSIG   = [Tee  TeE  TeI;...
          TeE  TEE  TEI;...
          TeI  TEI  TII];
TPHI   = [Trr   0   0 ;...
           0    0   0 ;...
           0    0   0 ];

e_true = zeros(T,3);   
f_true = zeros(T,1);
y_true = zeros(T,2);
for tt=1:T
    e_true(tt,:) = mvnrnd(zeros(3,1),TSIG,1);
end
     
for tt=2:T
    f_true(tt) = Tmu*(1-Trr)+Trr*f_true(tt-1)+e_true(tt,1);
end

    
% Filter loop 
for t = 1:T
    
    xvec = [f_true(t);e_true(t,2:end)'];
    y_true(t,:) = TZZ*xvec;
end

YYY = y_true;


true_para = [Tmu Trr Tee TeE TeI TEE TEI TII];





