function YYY = simulate_data(truepara,T)

% set true parameter
Tmu  = truepara(1);
Trr  = truepara(2);
Tee  = truepara(3);
TeE  = truepara(4);
TeI  = truepara(5);
TEE  = truepara(6);
TEI  = truepara(7);
TII  = truepara(8);

TZZ    = [ 1    1   0 ;...
           1    0   1 ];
TSIG   = [Tee  TeE  TeI;...
          TeE  TEE  TEI;...
          TeI  TEI  TII];

e_true = zeros(T,3);   
f_true = zeros(T,1);
y_true = zeros(T,2);
for tt=1:T
    e_true(tt,:) = mvnrnd(zeros(3,1),TSIG,1);
end
     
for tt=2:T
    f_true(tt) = Tmu*(1-Trr)+Trr*f_true(tt-1)+e_true(tt,1);
end

    
% Filter loop 
for t = 1:T
    
    xvec = [f_true(t);e_true(t,2:end)'];
    y_true(t,:) = TZZ*xvec;
end

YYY = y_true;






