  function [logLnc,vt,finvt,kt]=kfilter_mod_sv(y,Z,T,R,Qmat)
% ========================================================================
% function [logLnc,vt,finvt,kt,ptt,att]=kfilter_mod_sv(y,Z,T,R,Qmat,a0);
% Same as KFLITER_MOD but for SV model. See  KFILTER_MOD.m for details 
% y(t)   = Z*s(t) 
% s(t)   = T*s(t-1) + R*n(t)    V( n(t) ) = Q(t)
% Alejandro Justiniano (C) October 2006
% =======================================================================
[nobs,nz]=size(y);
[ny,nx]=size(R);
vt=zeros(nz,nobs); 
finvt=zeros(nz,nz,nobs); 
kt=zeros(ny,nz,nobs); 
logLnc=zeros(nobs,1); 
%cons=nz*log(2*pi); 
y=y'; 

stt=zeros(ny,1);   
%ptt=lyapunov_symm(T, R*((temp')*temp)*(R') ); 
ptt=zeros(ny,ny);
Q = Qmat;
QQ = diag(mean(Q'));
for t =1:200
   ptt = T*ptt*T' + R*QQ*QQ'*R';
end

for ii=1:nobs;
    [stt,ptt,logLnc(ii),vt(:,ii),finvt(:,:,ii),kt(:,:,ii)]=...
        kf_mod(y(:,ii),Z,stt,ptt,T,R*diag((Qmat(:,ii)) ));   
end;