function [post_Thetaa, post_sigma] = post_theta(theta_prior, Vtheta_prior,sig_prior,Vsig_prior,sigma, x, y, restrict)

%==========================================================================
% note: theta_prior  = theta_;
%       Vtheta_prior = inv(Vtheta_);
%       sigma        = variance;
% note: restrict = 1; then 0 < post_theta(1) < 1
%                = 2; then post_theta(2) > 0
%                = 3; then 0 < post_theta(2) < 1
%==========================================================================

theta_var   = inv(Vtheta_prior) + sigma^(-1)*(x'*x);

theta_var   = inv(theta_var);

theta_mean  = inv(Vtheta_prior)*theta_prior + sigma^(-1)*(x'*y);

theta_mean  = theta_var*theta_mean;

if restrict == 1;           % stationarity restriction
    check = 0;
    while check < 1 
        post_Thetaa  = mvnrnd(theta_mean , theta_var);
        if abs(post_Thetaa(1)) < 1 && post_Thetaa(1)> 0;
            check = 1;
        end
    end
    
elseif restrict ==2;        % identification restriction
    check = 0;
    while check < 1
        post_Thetaa = mvnrnd(theta_mean, theta_var);
        if post_Thetaa(2) > 0;
            check = 1;
        end
    end

elseif restrict ==3;
    check = 0;
    while check < 1 
        post_Thetaa  = mvnrnd(theta_mean , theta_var);
        if abs(post_Thetaa(2)) < 1 && post_Thetaa(2)> 0;
            check = 1;
        end
    end
end

kk = restrict; 

T = size(y,1);
d = (y-x*post_Thetaa')'*(y-x*post_Thetaa');

post_sigma = iwishrnd(Vsig_prior+d, T-kk+sig_prior);

end
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
        
            