% Evaluate the likelihood function*prior for para

function [retp1 retp2] = posterior(para_all,lnpY)

    % likelihood 
    para0  = para_all(:,1);    
    pshape = para_all(:,2);
    pmean  = para_all(:,3);
    pstdd  = para_all(:,4);
    npara = length(para0);
   
    % Evaluate the Prior distribution 
    lnprio = 0;

    for i = 1:npara
                   
        
        if pshape(i) == 1;      % BETA Prior 
            a = (1-pmean(i))*pmean(i)^2/pstdd(i)^2 - pmean(i);
            b = a*(1/pmean(i) - 1);
            lnprio = lnprio + log( pdf('beta',para0(i),a,b) );
        elseif pshape(i) == 2;  % GAMMA PRIOR 
            b = pstdd(i)^2/pmean(i);
            a = pmean(i)/b;
            lnprio = lnprio + log( pdf('gam',para0(i),a,b) );
      
        elseif pshape(i) == 3;  % GAUSSIAN PRIOR 
            a = pmean(i);
            b = pstdd(i);
            lnprio = lnprio + log( pdf('norm',para0(i),a,b) );

        elseif pshape(i) == 4;  % INVGAMMA PRIOR 
            a = pmean(i);
            b = pstdd(i);
            lnprio = lnprio + log( para0(i)^(-b-1)*exp(-0.5*b*a^2/para0(i)^2) );

        elseif pshape(i) == 5;  % uniform prior 
            a = pmean(i);
            b = pstdd(i);
            lnprio = lnprio + log( (para0(i)-a)/(b-a) );

        end
  
    end    
    
    % minimize the negative of log posterior       
   retp1 = real(lnpY(1) + lnprio );   
   retp2 = lnpY(1);
   
end   
    
