function [ytilde xtilde etilde Etilde e1 SI Q SIG] = transform2(phi1, F, H, YY)
        
        [T, nv] = size(YY);
        y       = YY(1,:);
        x       = F(1); 
                
        SIG     = 1/(1-phi1^2);
        SI      = phi1*SIG*phi1' + exp(2*H(1));
        Q       = chol(SI)';
                
        ytilde1 = inv(Q)*y;
        xtilde1 = inv(Q)*x;
        
        ytilde2 = (YY(2:T) - phi1*YY(1:T-1)) ;
        xtilde2 = (F(2:T) - phi1*F(1:T-1));
        
        weight  = inv(diag(exp(H)));
        ytilde2 = weight(2:T,2:T)*ytilde2;
        xtilde2 = weight(2:T,2:T)*xtilde2;
        
        ytilde  = [ytilde1 ; ytilde2];
        xtilde  = [xtilde1 ; xtilde2];
        
        
        etilde  = (YY(2:T) - F(2:T));    
        Etilde  = (YY(1:T-1) - F(1:T-1)); 
        
        etilde  = (weight(2:T,2:T)*etilde);
        Etilde  = (weight(2:T,2:T)*Etilde);
        
        e1      = Etilde(1);
        
end
