psnames = strvcat( 'GDP(E)','GDP(I)'); 
pvnames = { 'Log Volatility Process: Idiosyncratic Shock to GDP_{E}',...
                   'Log Volatility Process: Idiosyncratic Shock to GDP_{I}'}; 
pfnames = strvcat( 'Real GDP(E) Growth and Latent Factor',...
                   'Real GDP(I) Growth and Latent Factor' ); 
xnames  = strvcat( 'Year');
ynames  = strvcat( 'Annualized Growth Rates');


scrsz = get(0,'ScreenSize');

kv=figure('Position',[20,20,900,600],'Name',...
         'Predicted Data','Color','w',...
         'Position',[1 scrsz(4)/13 scrsz(3)/1 scrsz(4)/1.2]);     

for r=1:nv
    subplot(nv,2,r*2);
    hold on
    plot(time0(end-99:end),YY(end-99:end,r),'Color',[0.2 0.6 0.2],'LineWidth',1.8,'LineStyle','-');  
    plot(time0(end-99:end),YHAT50(end-99:end,r),'Color',[0.1 0.1 0.1],'LineWidth',2);  
    if r<3
        plot(time0(end-99:end),GDPC(end-99:end),'Color',[0.9 0.6 0.1],'LineWidth',2,'LineStyle','--');  
    end
    if r==1
    hh=legend('GDP_{E}','GDP_{C}^{Measurement Error Perspective}','GDP_{C}^{Forecast Error Perspective}');
    elseif r==2
    hh=legend('GDP_{I}','GDP_{C}^{Measurement Error Perspective}','GDP_{C}^{Forecast Error Perspective}');
    elseif r==3
    hh=legend('\Delta Unemployment','Constructed');
    elseif r==4
    hh=legend('Sentiment','Constructed');    
    end
    set(hh,'Location','SouthWest','FontSize',12);
    legend('boxoff')
    xlabel(xnames,'FontSize',12);
    %ylabel(ynames,'FontSize',12);
    hold on
    for kk = 1:length(x), bar(x(kk),max(max(YHAT95(end-99:end,r)),max(YY(end-99:end,r))),w(kk),'FaceColor',[.6 .6 .6],'EdgeColor','w'), end
    for kk = 1:length(x), bar(x(kk),min(min(YHAT05(end-99:end,r)),min(YY(end-99:end,r)))-2,w(kk),'FaceColor',[.6 .6 .6],'EdgeColor','w'), end
    if r<3
    axis([time0(end-99) time0(end) min(min(YHAT05(end-99:end,r)),min(GDPC(end-99:end)))-2 max(max(YHAT95(end-99:end,r)),max(GDPC(end-99:end)))])
    else
    axis([time0(end-99) time0(end) min(min(YHAT05(end-99:end,r)),min(YY(end-99:end,r))) max(max(YHAT95(end-99:end,r)),max(YY(end-99:end,r)))])    
    end
    
    alpha(0.7)
    hold on
    f90=shadedplot(time0(end-99:end),YHAT95(end-99:end,r)',YHAT05(end-99:end,r)',[0.4 0.4 0.4],'w');
    
end 

for r=1:nv
    subplot(nv,2,2*r-1);
    hold on
    plot(time0(end-199:end-100),YY(end-199:end-100,r),'Color',[0.2 0.6 0.2],'LineWidth',1.8,'LineStyle','-');  
    plot(time0(end-199:end-100),YHAT50(end-199:end-100,r),'Color',[0.1 0.1 0.1],'LineWidth',2);  
    if r<3
        plot(time0(end-199:end-100),GDPC(end-199:end-100),'Color',[0.9 0.6 0.1],'LineWidth',2,'LineStyle','--');  
    end
    if r==1
    hh=legend('GDP_{E}','GDP_{C}^{Measurement Error Perspective}','GDP_{C}^{Forecast Error Perspective}');
    elseif r==2
    hh=legend('GDP_{I}','GDP_{C}^{Measurement Error Perspective}','GDP_{C}^{Forecast Error Perspective}');
    elseif r==3
    hh=legend('\Delta Unemployment','Constructed');
    elseif r==4
    hh=legend('Sentiment','Constructed');    
    end
    set(hh,'Location','SouthWest','FontSize',12);
    legend('boxoff')
    xlabel(xnames,'FontSize',12);
    %ylabel(ynames,'FontSize',12);
    hold on
    for kk = 1:length(x), bar(x(kk),max(max(YHAT95(end-199:end-100,r)),max(YY(end-199:end-100,r))),w(kk),'FaceColor',[.6 .6 .6],'EdgeColor','w'), end
    for kk = 1:length(x), bar(x(kk),min(min(YHAT05(end-199:end-100,r)),min(YY(end-199:end-100,r)))-2,w(kk),'FaceColor',[.6 .6 .6],'EdgeColor','w'), end
    if r<3
    axis([time0(end-199) time0(end-100) min(min(YHAT05(end-199:end-100,r)),min(GDPC(end-199:end-100)))-2 max(max(YHAT95(end-199:end-100,r)),max(GDPC(end-199:end-100)))])
    else
    axis([time0(end-199) time0(end-100) min(min(YHAT05(end-199:end-100,r)),min(YY(end-199:end-100,r))) max(max(YHAT95(end-199:end-100,r)),max(YY(end-199:end-100,r)))])       
    end
    alpha(0.7)
    hold on
    f90=shadedplot(time0(end-199:end-100),YHAT95(end-199:end-100,r)',YHAT05(end-199:end-100,r)',[0.4 0.4 0.4],'w');
    
end 





% scrsz = get(0,'ScreenSize');
% lv=figure('Position',[20,20,900,600],'Name',...
%          'Stochastic Volatility','Color','w',...
%          'Position',[1 scrsz(4)/13 scrsz(3) scrsz(4)/1.2]);
% 
% for r=1:nv
%     subplot(3,1,r);
%     hold on
%     plot(time0,h50(:,r),'Color',[0.2 0.2 0.2],'LineWidth',2.5);  
%     hold on
%     for kk = 1:length(x), bar(x(kk),max(h95(:,r)),w(kk),'FaceColor',[.6 .6 .6],'EdgeColor','w'), end
%     for kk = 1:length(x), bar(x(kk),min(h05(:,r)),w(kk),'FaceColor',[.6 .6 .6],'EdgeColor','w'), end        
%     axis tight
%     alpha(0.7)
%     title(pvnames(r),'FontSize',12);
%     xlabel(xnames,'FontSize',12);    
%     hold on
%     h90=shadedplot(time0,h95(:,r)',h05(:,r)',[0.4 0.4 0.4],'w');   
%     
% end    
% 
% subplot(3,1,3)
%     hold on
%     plot(time0,h050,'Color',[0.2 0.2 0.2],'LineWidth',2.5);  
%     hold on
%     for kk = 1:length(x), bar(x(kk),max(h095),w(kk),'FaceColor',[.6 .6 .6],'EdgeColor','w'), end
%     for kk = 1:length(x), bar(x(kk),min(h005),w(kk),'FaceColor',[.6 .6 .6],'EdgeColor','w'), end        
%     axis tight;
%     alpha(0.7)
%     title('Log Volatility Process: Factor','FontSize',12);
%     xlabel(xnames,'FontSize',12);    
%     hold on
%     h090=shadedplot(time0,h095',h005',[0.4 0.4 0.4],'w');          
%     
% 
% 
% saveas(kvv,'Output/factor_pre84.bmp')    
% saveas(kv,'Output/factor_post84.bmp')
% saveas(lv,'Output/stochvol.bmp')    