clc;
%% description
vartype     = {'mu_{GDP}','rho_{GDP}',...
               'var(e_{GDP})','cov(e_{GDP(E)},e_{GDP})','cov(e_{GDP(I)},e_{GDP})',...
                'var(e_{GDP(E)})','cov(e_{GDP(E)},e_{GDP(I)})','var(e_{GDP(I)})',...
                'fraction','posterior','Kalman Gain (E)','Kalman Gain (I)'...
                'Relative KGain (E)','Relative KGain (I)'};

disp('=========================================================================');
disp('                                                                         ');
disp('                    SUMMARY OF POSTERIOR DISTRIBUTION                   ');
disp('                                                                         ');
disp(['                    NUMBER OF DRAWS: ', num2str(nsim)                    ]);
disp('                                                                         ');
disp('=========================================================================');
disp([' Variable Name                             5%       Median       95%     ']);
disp('=========================================================================');
for hh=1:length(vartype);
    fprintf('%-35s %10.2f %10.2f %10.2f\n',vartype{hh},postdist05(hh),...
        postdist50(hh),postdist95(hh));    
end
disp('=========================================================================');

