function [DD,ZZ,PHI,SIG,sGG] = coefficients(para)

% para
mu   = para(1);
rho  = para(2);
zeta = para(3);
sGE  = para(4);
sGI  = para(5);
sEE  = para(6);
sEI  = para(7);
sII  = para(8);    

% reparameterization
% zeta: a fraction of var(GDP_E) explained by var(GDP)
sGG  = (zeta/(1-zeta))*(1-rho^2)*(sEE+2*sGE);

% state-space form
% YY(t) = ZZ*S(t)
% S(t)  = DD + PHI*S(t-1) + L*e(t)
% S(t)  = [GDP(t) e(Et) e(It)]
    
DD    = [mu*(1-rho);0;0];
ZZ    = [ 1    1   0 ;...
          1    0   1 ];
SIG   = [sGG  sGE  sGI;...
         sGE  sEE  sEI;...
         sGI  sEI  sII];  
     
PHI   = [rho   0   0 ;...
          0    0   0 ;...
          0    0   0 ];
      
      