function [loglh At_draw,At_mat,Kg_mat] = evalmod(para,YY)
    
    [T,nv] = size(YY);
    
    % model-coefficients
    [DD,ZZ,PHIF,SIG] = coefficients(para);
    
    mdim = 3;      
    % initialization of the filter    
    At = [para(1) 0 0]';    
    Pt = zeros(mdim,mdim);
    for kk=1:10000
        Pt=PHIF*Pt*PHIF'+SIG;
    end
    
    At_mat = zeros(T,mdim);
    Pt_mat = zeros(T,mdim^2);
    Kg_mat = zeros(T,nv);    
    
    loglh = 0;
    
    % Filter loop 
    for t = 1:T
                
        At1  = At;
        Pt1  = Pt;

        % Forecasting   
        alphahat = DD + PHIF * At1 ;
        Phat     = PHIF * Pt1 * PHIF' + SIG;
        Phat     = 0.5*(Phat+Phat');
      
        yhat = ZZ*alphahat;
        nut  = YY(t,:)' - yhat;
       
        Ft = ZZ*Phat*ZZ';  
        Ft = 0.5*(Ft+Ft');

        loglh = loglh-0.5*size(YY,2)*log(2*pi)-0.5*log(det(Ft))-0.5*nut'*inv(Ft)*nut;
        loglh = real(loglh);
        
        Kgain = ((Phat*ZZ')*inv(Ft));
        Kg_mat(t,:) = Kgain(1,:); 
        
        % Updating 
        At = alphahat + (Phat*ZZ')*inv(Ft)*nut;
        Pt = Phat - (Phat*ZZ')*inv(Ft)*(Phat*ZZ')';
        At_mat(t,:)  = At';
        Pt_mat(t,:)  = reshape(Pt,1,mdim^2);
       
    end
   
    At_draw = zeros(T,mdim);
    Pt_draw = zeros(T,mdim^2);
    
    % singular value decomposition
    [u s v] = svd(reshape(Pt_mat(T,:),mdim,mdim));
    Pchol = u*sqrt(s);
    At_draw(T,:)   = At_mat(T,:)+(Pchol*randn(mdim,1))';
    Pt_draw(T,:,:) = reshape(Pchol,1,mdim^2); 
    
    % Kalman Smoother 
    for i = 1:T-1
                
        Att  = At_mat(T-i,:)';
        Ptt  = reshape(Pt_mat(T-i,:),mdim,mdim);

        Phat = PHIF * Ptt * PHIF' + SIG;
        Phat = 0.5*(Phat+Phat');
    
        inv_Phat = inv(Phat);
    
        nut  = At_draw(T-i+1,:)'- PHIF*Att - DD;
      
        Amean = Att + (Ptt*PHIF')*inv_Phat*nut;
        Pmean = Ptt - (Ptt*PHIF')*inv_Phat*(Ptt*PHIF')';   
  
        % singular value decomposition
        [um sm vm] = svd(Pmean);
        Pmchol = um*sqrt(sm);
        At_draw(T-i,:)   = (Amean+Pmchol*randn(mdim,1))'; 
        Pt_draw(T-i,:,:) = reshape(Pmchol,1,mdim^2);
    end


     
