function [kg1 kg2 rkg1 rkg2] = kalman_gain(para)

% para
mu   = para(1);
rho  = para(2);
zeta = para(3);
sGE  = para(4);
sGI  = para(5);
sEE  = para(6);
sEI  = para(7);
sII  = para(8); 
sGG  = (zeta/(1-zeta))*(1-rho^2)*(sEE+2*sGE);

var_f = sGG/(1-rho^2);

cov_f_y1 = var_f + sGE;
cov_f_y2 = var_f + sGI;

cov_y1_y2 = var_f + sGE + sGI + sEI;

var_y1 = var_f + 2*sGE + sEE;
var_y2 = var_f + 2*sGI + sII;

kg2 = (cov_f_y2*var_y1 - cov_f_y1*cov_y1_y2)/(var_y1*var_y2-cov_y1_y2^2);
kg1 = (cov_f_y1*var_y2 - cov_f_y2*cov_y1_y2)/(var_y1*var_y2-cov_y1_y2^2);

rkg2 = kg2/(kg1+kg2);
rkg1 = kg1/(kg1+kg2);
