SIGA= [6.96   -1.10   -0.82;...
      -1.10    4.57    1.95;...
      -0.82    1.95    3.07];

% SIGA=[7.0271   -2.0617   -0.7698;...
%    -2.0617    5.5427    3.2846;...
%    -0.7698    3.2846    2.4994];  
  
  
[DD,ZZ,PHI,SIGB,sGG] = coefficients(paraest);  
 
  
del_grid = -1:0.0001:4;
rho = paraest(2);

norm_vec = zeros(length(del_grid),1);
zeta_vec = zeros(length(del_grid),1);
for ii=1:length(del_grid)
        delta = del_grid(ii);
        
        ROT = [ delta*(1-rho^2) -delta -delta;...
                -delta           delta  delta;...
                -delta           delta  delta];
        SIGC = (SIGB + ROT);  
        zeta = SIGC(1,1)/(SIGC(1,1)+(1-rho^2)*(2*SIGC(1,2)+SIGC(2,2)));
        XX = SIGA - SIGC;    
        norm_vec(ii) = norm(XX,'fro');
        zeta_vec(ii) = zeta;
end
     

delta = del_grid(norm_vec==min(norm_vec));

        ROT = [ delta*(1-rho^2) -delta -delta;...
                -delta           delta  delta;...
                -delta           delta  delta];
        SIGC = (SIGB + ROT)  
        zeta = SIGC(1,1)/(SIGC(1,1)+(1-rho^2)*(2*SIGC(1,2)+SIGC(2,2))) 
        
scrsz = get(0,'ScreenSize');

fig = figure('Position',[20,20,900,600],'Name',...
        '','Color','w',...
        'Position',[1 scrsz(4)/13 scrsz(3)/2 scrsz(4)/1.95]);
    hold on
plot(zeta_vec,norm_vec,'Color',[0.1 0.2 0.9],'LineWidth',4,'LineStyle','-')
line([zeta zeta], [min(norm_vec)-1 min(norm_vec)],'Color',[0.1 0.1 0.1],'LineStyle','--','LineWidth',2)
xlabel('\zeta','FontSize',18)
ylabel('$$D(\zeta)$$','Interpreter','latex','FontSize',18)
axis([zeta_vec(1) zeta_vec(end) min(norm_vec)-1 max(norm_vec)])
text(0.99*zeta,1.03*min(norm_vec),num2str(zeta,'% 10.2f'),'VerticalAlignment','bottom','FontSize',13)
