function [retp1,retp2,At_draw,At_mat,sGG,KG]= objfcn(para,pshape,pmean,pstdd,pmask,pmaskinv,pfix,lubound,YY)

parabd_ind1 = para > lubound(:,1);                  % lower bounds 
parabd_ind2 = para < lubound(:,2);                  % upper bounds 
parabd_ind1 = prod( parabd_ind1 + pmask );
parabd_ind2 = prod( parabd_ind2 + pmask );

% check positive-definiteness
[DD,ZZ,PHIF,SIG,sGG] = coefficients(para);

check = zeros(size(SIG,1),1);
for ii=1:size(SIG,1)
    check(ii) = det(SIG(1:ii,1:ii))>0;
end


if ( parabd_ind1 > 0 ) && ( parabd_ind2 > 0 )  && (prod(check)==1) % in bounds 

    % likelihood 
    modelpara = para.*pmaskinv + pfix.*pmask;
    [loglh,At_draw,At_mat,KG] = evalmod(modelpara,YY);
    lnpY      = loglh;
    npara     = length(para);

    % Evaluate the Prior distribution 
    lnprio = 0;

    for i = 1:npara
    
        if pmask(i) == 1
    
            lnprio = lnprio;
    
        else
        
        if pshape(i) == 1;      % BETA Prior
            a = (1-pmean(i))*pmean(i)^2/pstdd(i)^2 - pmean(i);
            b = a*(1/pmean(i) - 1);
            lnprio = lnprio + log( pdf('beta',para(i),a,b) );
            
        elseif pshape(i) == 2;  % GAMMA PRIOR 
            b = pstdd(i)^2/pmean(i);
            a = pmean(i)/b;
            lnprio = lnprio + log( pdf('gam',para(i),a,b) );
      
        elseif pshape(i) == 3;  % GAUSSIAN PRIOR 
            a = pmean(i);
            b = pstdd(i);
            lnprio = lnprio + log( pdf('norm',para(i),a,b) );

        elseif pshape(i) == 4;  % INVGAMMA PRIOR 
            a = pmean(i);
            b = pstdd(i);
            lnprio = lnprio + log( para(i)^(-b-1)*exp(-0.5*b*a^2/para(i)^2) );

        elseif pshape(i) == 5;  % uniform prior 
            a = pmean(i);
            b = pstdd(i);
            lnprio = lnprio + log( (para(i)-a)/(b-a) );

        end
    
        end    
    
    end

    % minimize the negative of log posterior 
    retp1 = real( lnpY(1) + lnprio );
    %retp1 = real( lnpY(1) );
    retp2 = real( lnpY(1));

else                            % out of bounds 

    retp1 = -1E20;
    retp2 = -1E20;
    At_draw = -1E20;
    At_mat  = -1E20;
    sGG     = -1E20;
    KG      = [0 0];
end

    
    
    